aboutsummaryrefslogtreecommitdiff
path: root/mail/solidpop3d/scripts/pre-install
diff options
context:
space:
mode:
Diffstat (limited to 'mail/solidpop3d/scripts/pre-install')
-rw-r--r--mail/solidpop3d/scripts/pre-install10
1 files changed, 10 insertions, 0 deletions
diff --git a/mail/solidpop3d/scripts/pre-install b/mail/solidpop3d/scripts/pre-install
new file mode 100644
index 000000000000..75197624f8ca
--- /dev/null
+++ b/mail/solidpop3d/scripts/pre-install
@@ -0,0 +1,10 @@
+#!/bin/sh
+if ! id -u pop > /dev/null 2>&1; then
+ echo "You need an account \"pop\" to install this package."
+ echo "Please add it by hand (try \"man vipw\") and try again."
+ echo ""
+ echo "An example passwd entry is:"
+ echo "pop:*:68:6::0:0:Post Office Owner:/nonexistent:/nonexistent"
+ echo ""
+ exit 1
+fi